package me.wazup.hideandseek;

import java.util.Iterator;
import org.bukkit.configuration.file.FileConfiguration;
import me.wazup.hideandseek.utils.Utils;
import me.wazup.hideandseek.managers.FilesManager;
import org.bukkit.inventory.ItemStack;
import java.util.ArrayList;
import org.bukkit.ChatColor;
import java.util.HashMap;

public class Customization
{
    private static Customization instance;
    public String prefix;
    public HashMap<String, String> messages;
    public String list_top;
    public String list_format;
    public String list_bottom;
    public HashMap<String, String> inventories;
    String arenaScoreboardTitle;
    public String[] scoreboard;
    public String[] bungeeModeScoreboard;
    public String sign_prefix;
    public String sign_stats;
    public String sign_leave;
    public String sign_autojoin;
    public String sign_shop;
    public String sign_join_default;
    public ChatColor sign_join_line2_color;
    public String sign_join_line4_format;
    ArrayList<String> matchEarnings;
    ArrayList<String> arenaVoteItemLore;
    public HashMap<String, ItemStack> items;
    
    public static Customization getInstance() {
        return Customization.instance;
    }
    
    public Customization() {
        Customization.instance = this;
    }
    
    public void loadMessages() {
        final FileConfiguration config = FilesManager.getInstance().getConfig("messages.yml");
        this.prefix = Utils.colorize(config.getString("prefix"));
        this.messages = new HashMap<String, String>();
        for (final String s : config.getConfigurationSection("Messages").getKeys(false)) {
            this.messages.put(s, this.prefix + Utils.colorize(config.getString("Messages." + s)));
        }
        Arena.ArenaState.WAITING.text = Utils.colorize(config.getString("Game-States.Waiting"));
        Arena.ArenaState.STARTING.text = Utils.colorize(config.getString("Game-States.Starting"));
        Arena.ArenaState.INGAME.text = Utils.colorize(config.getString("Game-States.INGAME"));
        Arena.ArenaState.ENDING.text = Utils.colorize(config.getString("Game-States.ENDING"));
        Arena.ArenaState.DISABLED.text = Utils.colorize(config.getString("Game-States.DISABLED"));
        this.arenaScoreboardTitle = Utils.colorize(config.getString("Scoreboard.Arena-Scoreboard-Title"));
        this.scoreboard = new String[config.getStringList("Scoreboard.Arena-Scoreboard").size()];
        int n = 0;
        final Iterator iterator2 = config.getStringList("Scoreboard.Arena-Scoreboard").iterator();
        while (iterator2.hasNext()) {
            this.scoreboard[n++] = Utils.colorize((String)iterator2.next());
        }
        this.bungeeModeScoreboard = new String[config.getStringList("Bungee-Mode-Lobby-Scoreboard").size()];
        int n2 = 0;
        final Iterator iterator3 = config.getStringList("Bungee-Mode-Lobby-Scoreboard").iterator();
        while (iterator3.hasNext()) {
            this.bungeeModeScoreboard[n2++] = Utils.colorize((String)iterator3.next());
        }
        this.list_top = Utils.colorize(config.getString("List.top"));
        this.list_format = Utils.colorize(config.getString("List.format"));
        this.list_bottom = Utils.colorize(config.getString("List.bottom"));
        this.sign_prefix = Utils.colorize(config.getString("Signs.prefix"));
        this.sign_stats = Utils.colorize(config.getString("Signs.stats"));
        this.sign_leave = Utils.colorize(config.getString("Signs.leave"));
        this.sign_autojoin = Utils.colorize(config.getString("Signs.autojoin"));
        this.sign_shop = Utils.colorize(config.getString("Signs.shop"));
        this.sign_join_default = Utils.colorize(config.getString("Signs.join.default"));
        this.sign_join_line2_color = ChatColor.getByChar(config.getString("Signs.join.line2_color").replace("&", ""));
        this.sign_join_line4_format = Utils.colorize(config.getString("Signs.join.line4_format"));
        this.inventories = new HashMap<String, String>();
        for (final String s2 : config.getConfigurationSection("Inventories").getKeys(false)) {
            this.inventories.put(s2, Utils.colorize(config.getString("Inventories." + s2)));
        }
        this.matchEarnings = new ArrayList<String>();
        final Iterator iterator5 = config.getStringList("Match-Earnings").iterator();
        while (iterator5.hasNext()) {
            this.matchEarnings.add(Utils.colorize((String)iterator5.next()));
        }
        this.arenaVoteItemLore = new ArrayList<String>();
        final Iterator iterator6 = config.getStringList("Arena-Vote-Item-Lore").iterator();
        while (iterator6.hasNext()) {
            this.arenaVoteItemLore.add(Utils.colorize((String)iterator6.next()));
        }
        this.items = new HashMap<String, ItemStack>();
        for (final String s3 : config.getConfigurationSection("Items").getKeys(false)) {
            this.items.put(s3, Utils.getItemStack(config.getString("Items." + s3), false, true));
        }
    }
}
